aboutsummaryrefslogtreecommitdiff
path: root/tests/timeout.sh
diff options
context:
space:
mode:
authorEelco Dolstra <eelco.dolstra@logicblox.com>2017-04-12 11:03:19 +0200
committerGitHub <noreply@github.com>2017-04-12 11:03:19 +0200
commit23304f527a4754fc2a04c90acd05af6baf7f19cb (patch)
tree89fefd1f4ec49ed8f670347e5d222821ce0c2e37 /tests/timeout.sh
parentb134c2d05280be9615c81f018a5309fc8dcbca0e (diff)
parenta0c56197fcb6d13e77ccbdd28322a540352b880c (diff)
Merge pull request #1302 from dtzWill/fix/nix-options
Process nix.conf options in "new" commands, add test
Diffstat (limited to 'tests/timeout.sh')
-rw-r--r--tests/timeout.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/tests/timeout.sh b/tests/timeout.sh
index ce1ae7d67..77b227e89 100644
--- a/tests/timeout.sh
+++ b/tests/timeout.sh
@@ -29,3 +29,8 @@ if nix-build timeout.nix -A closeLog; then
echo "build should have failed"
exit 1
fi
+
+if nix build -f timeout.nix silent --option build-max-silent-time 2; then
+ echo "build should have failed"
+ exit 1
+fi